/// <reference types="react" />
export declare const StyledCheckbox: import("../../styled").StyledComponent<import("react").HTMLAttributes<HTMLDivElement> & {
    checked?: boolean | undefined;
    indeterminate?: boolean | undefined;
    isError?: boolean | undefined;
    onChange?: ((event: import("react").ChangeEvent<HTMLInputElement, Element>, checked: boolean) => void) | undefined;
    name?: string | undefined;
    value?: string | undefined;
    defaultChecked?: boolean | undefined;
    autoFocus?: boolean | undefined;
    disabled?: boolean | undefined;
    style?: import("react").CSSProperties | undefined;
    inputRef?: import("react").RefObject<HTMLInputElement> | undefined;
} & import("react").RefAttributes<HTMLInputElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const StyledTreeItem: import("../../styled").StyledComponent<{
    className?: string | undefined;
    prefixId?: string | undefined;
    isSelected: boolean;
    label: import("react").ReactNode;
    note?: import("react").ReactNode;
    renderItem?: import("../..").SyncFunctionComponent<Omit<import("../../Tree").TreeListData, "children">> | undefined;
    children?: import("react").ReactNode;
    component?: import("react").ElementType | undefined;
    level: number;
    isDisabled?: boolean | undefined;
    disabledReason?: string | undefined;
    isNotBlockingExpandList?: boolean | undefined;
    isDefaultExpanded?: boolean | undefined;
    isForceExpanded?: boolean | undefined;
    onClick?: ((event: import("react").SyntheticEvent<Element, Event>) => void) | undefined;
} & Omit<any, ""> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const List: import("../../styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLUListElement>, HTMLUListElement>, {}>;
export declare const StyledTooltip: import("../../styled").StyledComponent<Omit<import("../../Tooltip").TooltipProps, "ref"> & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const PopoverContent: import("../../styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
